gtk.VButtonBox
Prev | The gtk Class Reference | Next

## gtk.VButtonBox

gtk.VButtonBox — a container for arranging buttons vertically.

## Synopsis

    class gtk.VButtonBox(gtk.ButtonBox):
        gtk.VButtonBox()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.ButtonBox
                +-- gtk.VButtonBox

## Implemented Interfaces

`gtk.VButtonBox` implements `gtk.Buildable`

## gtk.VButtonBox Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

gtk.ButtonBox Properties

## gtk.VButtonBox Style Properties

gtk.Widget Style Properties

gtk.ButtonBox Style Properties

## gtk.VButtonBox Child Properties

gtk.Box Child Properties

gtk.ButtonBox Child Properties

## gtk.VButtonBox Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Description

A `gtk.VButtonBox` is a container subclassed from `gtk.ButtonBox` that is optimized for the vertical layout of buttons. The `gtk.VButtonBox` helps provide a consistent layout of buttons in an application by supplying default values of spacing, padding and layout style (see the `gtk.ButtonBox` reference for more detail). Buttons are packed into a `gtk.VButtonBox` using the `gtk.Container.add`()) method. The `pack_start`() and `pack_end`() methods can also be used but they work just like the `gtk.Container.add`()) method i.e. they pack the button in a way that depends on the current layout style and on whether the button has had the `gtk.ButtonBox.set_child_secondary`() method called on it. The spacing between buttons can be set with the `gtk.Box.set_spacing`() method. The arrangement and layout of the buttons can be changed with the `gtk.ButtonBox.set_layout`() method.

## Constructor

        gtk.VButtonBox()

Returns : | a new `gtk.VButtonBox` widget

Creates a new `gtk.VButtonBox` widget

Prev | Up | Next
gtk.VBox | Home | gtk.VolumeButton